import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.Timer;

/**
 * @version 1, Feb. 2
 * In this version, the Counter acts as its own ActionListener, and also starts
 * its own Timer.
 */
public class Counter implements ActionListener

{
    private int current = 0;

    /**
     * Start the timer.
     * 
     * @since version 1
     */
    public void startCounting ()
    {
        Timer t = new Timer(1000, this);
        t.start();
    }

    /**
     * Get current value of counter.
     * 
     * @since version 1
     * @return the current value (an int)
     */
    public int getCurrent ()
    {
        return this.current;
    }
    
    /**
     * Respond to an action event (presumably from the Timer).
     * 
     * @since version 1
     */
    public void actionPerformed (ActionEvent e)
    {
        this.current++;
        System.out.println ("Counter is " + this.current);
    }
}
