import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * In this version, the CounterIncrementer class has been replaced by an anonymous
 * inner class.
 * 
 * @version 5, Feb 2
 */
public class Counter
{
    private int current = 0;
    private ActionListener incr;
    
    public Counter ()
    {
        this.incr = new ActionListener() {
            public void actionPerformed (ActionEvent e)
            {
                Counter.this.current++;
                System.out.println ("Counter is " + Counter.this.current);
            }
        };
    }

    /**
     * get an ActionListener that will increment this Counter.
     * @since version 4
     * @return an ActionListener
     */
    public ActionListener getIncrementer ()
    {
        return this.incr;
    }
}